DWARF_ADD_PUBNAME(3) | Library Functions Manual | DWARF_ADD_PUBNAME(3)

# NAME

`dwarf_add_pubname` —
add information about a global object to a DWARF producer instance

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_Unsigned
`dwarf_add_pubname`(Dwarf_P_Debug dbg, Dwarf_P_Die die, char *name, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_add_pubname`() adds information about a global object to a DWARF producer instance.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument die specifies the debugging information entry associated with the global object.

Argument name should point to a NUL-terminated string containing the name of the global object.

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_add_pubname`() returns a non-zero value. In case of an error, function `dwarf_add_pubname`() returns 0 and sets the argument err.

# ERRORS

Function `dwarf_add_pubname`() can fail with:

[`DW_DLE_ARGUMENT`]
  One of the arguments dbg, die or name was NULL.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_funcname(3), dwarf_add_typename(3), dwarf_add_varname(3), dwarf_add_weakname(3), dwarf_new_die(3), dwarf_producer_init(3), dwarf_producer_init_b(3)

September 24, 2011 | NetBSD 9.4